Name:           ocaml-alsa
Version:        0.2.1
Release:        %mkrel 10
Summary:        OCaml bindings for the ALSA library
Source0:        http://downloads.sourceforge.net/project/savonet/ocaml-alsa/%{version}/ocaml-alsa-%{version}.tar.gz
License:        GPLv2
Group:          Development/OCaml
Url:            http://savonet.sourceforge.net/
BuildRequires:  libalsa-devel
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib


%description
This OCaml library interfaces the ALSA library libasound to access audio
devices.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libalsa-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/alsa
make install


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/alsa
%{_libdir}/ocaml/alsa/META
%{_libdir}/ocaml/alsa/*.cma
%{_libdir}/ocaml/alsa/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html
%{_libdir}/ocaml/alsa/*.a
%{_libdir}/ocaml/alsa/*.cmxa
%{_libdir}/ocaml/alsa/*.cmx
%{_libdir}/ocaml/alsa/*.mli



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-10.mga4
+ Revision: 536397
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 0.2.1-9.mga4
+ Revision: 484204
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 0.2.1-8.mga3
+ Revision: 361117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.2.1-7.mga3
+ Revision: 301504
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.2.1-5.mga3
+ Revision: 300028
- new rpm group for ocaml

  + malo <malo>
    - spec clean-up
    - remove Requires on libalsa-devel

* Thu Nov 17 2011 malo <malo> 0.2.1-3.mga2
+ Revision: 168360
- missing Requires on libalsa-devel

* Sun Oct 02 2011 shlomif <shlomif> 0.2.1-2.mga2
+ Revision: 151028
- Rebuild for the new ocaml - thanks to Malo

* Sun Sep 25 2011 shlomif <shlomif> 0.2.1-1.mga2
+ Revision: 147770
- imported package ocaml-alsa

